[Security Announce] [ MDVSA-2015:226 ] fcgi

Fabricante: Mandriva
Fecha: 04/05/2015
Identificador: MDVSA-2015:226
[Security Announce] [ MDVSA-2015:226 ] fcgi
-----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 _______________________________________________________________________ Mandriva Linux Security Advisory MDVSA-2015:226 http://www.mandriva.com/en/support/security/ _______________________________________________________________________ Package : fcgi Date : May 4, 2015 Affected: Business Server 1.0 _______________________________________________________________________ Problem Description: Updated fcgi packages fix security vulnerability: FCGI does not perform range checks for file descriptors before use of the FD_SET macro. This FD_SET macro could allow for more than 1024 total file descriptors to be monitored in the closing state. This may allow remote attackers to cause a denial of service (stack memory corruption, and infinite loop or daemon crash) by opening many socket connections to the host and crashing the service (CVE-2012-6687). _______________________________________________________________________ References: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-6687 http://advisories.mageia.org/MGASA-2015-0184.html _______________________________________________________________________ Updated Packages: Mandriva Business Server 1/X86_64: 91a51dbbc00041b1a870210b5a70582b mbs1/x86_64/fcgi-2.4.0-12.1.mbs1.x86_64.rpm bd253938ad248b68a1473346e68f555a mbs1/x86_64/lib64fcgi0-2.4.0-12.1.mbs1.x86_64.rpm 721f968b1d78634ea0e2ed1c2ae0d5af mbs1/x86_64/lib64fcgi0-devel-2.4.0-12.1.mbs1.x86_64.rpm 7a3a9efd00820383fa932d0743ea5539 mbs1/SRPMS/fcgi-2.4.0-12.1.mbs1.src.rpm _______________________________________________________________________ To upgrade automatically use MandrivaUpdate or urpmi. The verification of md5 checksums and GPG signatures is performed automatically for you. All packages are signed by Mandriva for security. You can obtain the GPG public key of the Mandriva Security Team by executing: gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98 You can view other update advisories for Mandriva Linux at: http://www.mandriva.com/en/support/security/advisories/ If you want to report vulnerabilities, please contact security_(at)_mandriva.com _______________________________________________________________________ Type Bits/KeyID Date User ID pub 1024D/22458A98 2000-07-10 Mandriva Security Team -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.12 (GNU/Linux) iD8DBQFVR5opmqjQ0CJFipgRAo1VAJ0awhJAVKhakeWCL2C3ENHL4HTsEQCgt8oq 0Cl00DAjrlH2+RTQgujLnDs= =sX2V -----END PGP SIGNATURE-----